Bug 122598 - Crash when stop macro recording
Summary: Crash when stop macro recording
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.1 rc
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.1 target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-01-09 11:38 UTC by Regina Henschel
Modified: 2019-01-21 21:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SvTreeList::GetDepth(SvTreeListEntry const *)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-01-09 11:38:29 UTC
Enable macro recording.
Open a text document, enter some dummy text and start macro recording.
Do something, that can be recorded, e.g. mark text and set it to bold.
Click on the button to stop recording ==> Crash.

I see the problem in Version: 6.3.0.0.alpha0+
Build ID: 6b4ea2d8ddd681fec98773d7e0bbec9657a1fc08
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

Same in an own 64-bit build.

Crash too in Version: 6.2.0.1 (x64)
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
That one has generated the crash report.
Comment 1 Xisco Faulí 2019-01-09 12:15:11 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5e0c3fd7a42f93489a3d59a83bad2a72de1af63c

author	Caolán McNamara <caolanm@redhat.com>	2018-11-05 21:01:23 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-11-19 14:05:41 +0100
commit	5e0c3fd7a42f93489a3d59a83bad2a72de1af63c (patch)
tree	f0f6fa97722200d82d3d04c5da5fd0ec594e272c
parent	6fe56989cfe0c4aa58cd8532db9cfdb5116f2a73 (diff)
weld TreeView

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2019-01-09 21:10:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/473d4f84ae7e2ad39342e099c9219d1ee99539c4%5E%21

Related: tdf#122598 macro dialog from record macro has no parent

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2019-01-10 09:20:52 UTC
backport to 6-2 in gerrit, fixed in master
Comment 4 Commit Notification 2019-01-10 09:21:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/70e76596498e2fee17d0342c72d64c27f1e8fba2%5E%21

Resolves: tdf#122598 avoid crash on macro recording end

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-01-11 11:27:03 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: c164dbaff63d67f5e89d133c272412aaf4c5c158
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!
Comment 6 Commit Notification 2019-01-11 11:30:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/def7929f49f1ed21c4745e5e022d5afffb110359%5E%21

Related: tdf#122598 macro dialog from record macro has no parent

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-01-11 11:31:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/b4b68a687c8781e58b1afe84b66323961cc2fd6d%5E%21

Resolves: tdf#122598 avoid crash on macro recording end

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-01-11 21:09:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-0":

https://git.libreoffice.org/core/+/d5289906cd67d27701ee94351885bf1e641606fa%5E%21

Resolves: tdf#122598 avoid crash on macro recording end

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-01-21 21:00:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-0":

https://git.libreoffice.org/core/+/a412b3bbdff9e80637282207c8b2b2e61925a20b%5E%21

Related: tdf#122598 macro dialog from record macro has no parent

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.